{{ define "main" }}
<main id="main">
    <article>
        <header>
            <h1><i class="far fa-folder little-space"></i> All {{.Title}}</h1>
        </header>
        <!-- "{{.Content}}" pulls from the markdown content of the corresponding _index.md -->
        {{.Content}}
    </article>
    <ul>
        <!-- Ranges through content/posts/*.md -->
        {{ range .Pages }}
            <li class="no-bullet">
                <a class="no-deco" href="{{.Permalink}}"><i class="far fa-folder little-space"></i>{{.Title}}</a>
            </li>
        {{ end }}
    </ul>
</main>
{{ end }}